#ifndef SRC_APP_DOCUMENTOBJECT_H_
#define SRC_APP_DOCUMENTOBJECT_H_

#include <string>

namespace App {

class DocumentObject
{
public:
    explicit DocumentObject(long id = 0)
        : objectId(id)
    {}

    long getID() const
    {
        return objectId;
    }

    std::string getFullName() const
    {
        return "ProbeObject";
    }

private:
    long objectId;
};

}  // namespace App

#endif
